Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.

Path Parameters

id
integer<int32>
required

Product Profile ID.

Required range: x >= 1
Example:

26

Query Parameters

fields
enum<string>[]

Specify additional fields of the member Product objects to include in the response. See the selecting fields page for more information. Specify additional fields of member Product objects to include in the response.

Available options:
basic,
all,
created_at,
updated_at,
vendor_sku,
manufacturer_part_number,
external_id,
barcodes,
goods_type,
is_available,
is_visible,
weight,
dimensions,
volume,
inventory,
export,
regulated_goods,
packaging,
custom_fields
fields:merchant
enum<string>[]

Specify additional fields of the Merchant object to be included in the response. See the selecting fields page for more information.

Available options:
basic,
all,
code,
name,
status,
created_at,
updated_at,
brands,
default_brand,
custom_fields
fields:merchant.brands
enum<string>[]

Specify additional fields of the Brand object to be included in the response. See the selecting fields page for more information.

Available options:
basic,
all,
code,
name,
is_active,
is_deleted,
sort_order
fields:merchant.default_brand
enum<string>[]

Specify additional fields of the Brand object to be included in the response. See the selecting fields page for more information.

Available options:
basic,
all,
code,
name,
is_active,
is_deleted,
sort_order
fields:lot_type
enum<string>[]

Specify additional fields of the LotType object to be included in the response.

Available options:
basic,
all,
allow_mixing_locations,
allow_mixing_fulfillment,
lot_number_example,
lot_number_replacement,
expiration_date_pattern,
expiration_date_delta,
created_at,
updated_at
filter
string[]

Using the filtering syntax, you may filter the results using the following fields:

  • id
  • name
  • is_enabled
sort
string

The default sort is ascending by id. Available fields are:

  • id
count
integer

If specified as 1, the meta.count property of the response will be present and populated with the total count of items matching the query before any paging is applied. This is not included by default to improve performance in some edge cases and is not required to perform paging using the next property of the response. See paging parameters for more information.

Required range: 0 <= x <= 1
cursor_end
integer

A cursor for use in pagination which defines the last id of the next page of results, non-inclusive. See paging parameters for more information on paging.

cursor_start
integer

A cursor for use in pagination which defines the starting id of the next page of results. See paging parameters for more information on paging.

limit
integer
default:50

Maximum number of member Products to return.

Required range: 1 <= x <= 250

Response

A cursor-paginated collection of materialized member Products.

collection
ProductProfileMember · object[]
included
object

Lists of referenced objects included by specifying optional fields. See the selecting fields page for more information.

has_more
boolean

True if the collection has more items on the next page. Use the "next" link to retrieve the next page of results.

next
string | null

The resource path for the next page of results if any are expected.

previous
string | null

The resource path for the previous page of results if any are expected.

meta
object

Additional metadata pertaining to the response.